/*
 * Copyright (c) 2006 Suguru ARAKAWA. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package jp.ac.hosei.k.cis.java2005.dita.swing;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * 自動生成されたメッセージバンドルクラス。
 * @version $Date$
 * @author arakawa
 */
class Messages {
    private static final String BUNDLE_NAME = "jp.ac.hosei.k.cis.java2005.dita.swing.messages"; //$NON-NLS-1$

    private static final ResourceBundle RESOURCE_BUNDLE = ResourceBundle.getBundle(BUNDLE_NAME);

    private Messages() {
        super();
    }

    /**
     * 指定したキーを持つリソース文字列を返す。
     * @param key リソース文字列のキー
     * @return 対応するリソース文字列
     * @throws IllegalArgumentException 引数に指定したキーを持つリソース文字列が見つからない場合
     * @throws NullPointerException 引数に<code>null</code>が含まれていた場合
     */
    static String getString(String key) {
        if (key == null) {
            throw new NullPointerException("key"); //$NON-NLS-1$
        }
        try {
            return RESOURCE_BUNDLE.getString(key);
        }
        catch (MissingResourceException e) {
            throw new IllegalArgumentException(key, e);
        }
    }
}
